.content-wrapper {
    margin: 0 auto;
    max-width: 1200px;
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    padding: 0.5rem;
}

.news-card {
    border: 0px solid aqua;
    margin: 0.5rem;
    position: relative;
    height: 12rem;
    overflow: hidden;
    border-radius: 0.5rem;
    flex: 1;
    min-width: 290px;
    box-shadow: 0 0 1rem rgba(0, 0, 0, 0.5);
    -webkit-backface-visibility: hidden;
    -moz-backface-visibility: hidden;
    -webkit-transform: translate3d(0, 0, 0);
    -moz-transform: translate3d(0, 0, 0);
}

@media (min-width: 900px) {
    .news-card {
        height: 20rem
    }
}

.news-card::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0) linear-gradient(to bottom, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 0.7) 80%);
    ;
    z-index: 0;
}

.news-card__card-link {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    /*     background: rgba(255,0,0,.5); */
}

.news-card__image {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
    transition: transform 3s ease;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    position: relative;
    z-index: -1;
}

.news-card__text-wrapper {
    background-color: #00000052;
    text-align: left;
    position: absolute;
    bottom: 0rem;
    padding: 1rem;
    color: white;
    /*     background-color: rgba(0, 0, 0, 0.4); */
    transition: background-color 1.5s ease;
}

.news-card__title {
    transition: color 1s ease;
    margin-bottom: .5rem;
    font-family: "Open Sans";
    font-size: 20px;
    color: antiquewhite;
    font-weight: 100;
}

.news-card__post-date {
    font-size: .7rem;
    margin-bottom: .5rem;
    color: #CCC;
}

.news-card__details-wrapper {
    max-height: 0;
    opacity: 0;
    transition: max-height 1.5s ease, opacity 1s ease;
}

@media (min-width: 900px) {
    .news-card:hover .news-card__details-wrapper {
        max-height: 20rem;
        opacity: 1;
    }
    .news-card:hover .news-card__text-wrapper {
        background-color: rgba(0, 0, 0, 0.6);
        text-align: left;
    }
    .news-card:hover .news-card__title {
        color: yellow;
    }
    .news-card:hover .news-card__image {
        transform: scale(1.2);
        z-index: -1;
    }
}

.news-card__excerpt {
    font-weight: 300;
    color: antiquewhite;
    font-size: 14px;
}

.news-card__excerpt p {
    font-weight: 300;
    color: antiquewhite;
    font-size: 14px;
}

.news-card__read-more {
    background: black;
    color: #bbb;
    display: block;
    padding: 0.4rem 0.6rem;
    border-radius: 0.3rem;
    margin-top: 1rem;
    border: 1px solid #444;
    font-size: 0.8rem;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    text-decoration: none;
    width: 6rem;
    margin-left: auto;
    position: relative;
    z-index: 5;
}

.news-card__read-more i {
    position: relative;
    left: 0.2rem;
    color: #888;
    transition: left 0.5s ease, color 0.6s ease;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}

.news-card__read-more:hover i {
    left: 0.5rem;
    color: yellow;
}


/* Section body */

.section-body {
    background-color: rgba(229, 229, 229, 1);
    height: 50vh;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: sans-serif;
    padding: 50px;
}


/* ===== FOR DEMO ===== */

.demo {
    height: 500px;
    width: 1200px;
    margin: 0 auto;
    -webkit-box-shadow: -1px 9px 18px -5px rgba(17, 17, 17, 1);
    -moz-box-shadow: -1px 9px 18px -5px rgba(17, 17, 17, 1);
    box-shadow: -1px 9px 18px -5px rgba(17, 17, 17, 1);
    overflow: hidden;
    background-color: #000;
    position: relative;
}

.demo-description {
    flex: 0 0 25%;
    padding-right: 30px;
}

.demo-description__title {
    font-family: 'Abril Fatface', cursive;
    font-size: 40px;
    letter-spacing: 1.5px;
    margin: 0;
}

.demo-description__p {
    font-size: 17px;
}


/* ====== MAIN CODE ===== */

.coursemeal {
    display: flex;
    align-items: stretch;
    justify-content: space-between;
}

.coursemeal__div {
    flex: 0 0 33.3333333%;
    position: relative;
}

.responsive-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.coursemeal-info {
    background-color: rgba(0, 0, 0, 0.3);
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 15%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    transition: all 0.4s;
}

.coursemeal-info__link:link,
.coursemeal-info__link:visited {
    font-family: 'Bree Serif', serif;
    font-size: 30px;
    color: #fff;
    text-align: center;
    letter-spacing: 1.8px;
    margin: 0;
    text-decoration: none;
    transition: all 0.4s;
}

.coursemeal__div:hover .coursemeal-info {
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
}

@media only screen and (max-width: 1200px) {
    body {
        flex-wrap: wrap;
    }
    .demo-description {
        padding: 0;
        flex: 0 0 100%;
        text-align: center;
    }
}

@media only screen and (max-width: 991px) {
    .demo-description {
        margin-bottom: 30px;
    }
    .coursemeal {
        height: 900px;
        flex-wrap: wrap;
    }
    .coursemeal__div {
        flex: 0 0 100%;
        height: 33.33333%;
    }
    .responsive-img img {
        height: 100%;
    }
    .coursemeal__div:nth-of-type(2) img {
        object-position: 50% 70%;
    }
    .coursemeal-info {
        height: 20%
    }
}

@media only screen and (max-width: 767px) {
    .coursemeal__div:nth-of-type(1) img {
        object-position: 50% 75%;
    }
    .coursemeal__div:nth-of-type(3) img {
        object-position: 50% 60%;
    }
    .coursemeal-info__title {
        font-size: 25px;
    }
}